# IF3110 - Tugas Besar WBD 1

## TicketKu: Ticket Management System

## Kelompok 18:

-   13521075 - Muhammad Rifko Favian
-   13521111 - Tabitha Permalla
-   13521151 - Vanessa Rebecca Wiyono

## Deskripsi Aplikasi web

Aplikasi web yang dibangun merupakan sebuah sistem informasi yang digunakan untuk melakukan manajemen / pengelolaan stok tiket. Dengan spesifikasi sebagai berikut: 

1. Implementasi client-side menggunakan Javascript, HTML, dan CSS.
2. Implementasi server-side menggunakan PHP murni tanpa framework
3. Implementasi basis data menggunakan MySQL
4. Sistem dibuat dengan struktur MVC

Fitur yang dimiliki aplikasi antara lain:

1. Atentikasi pengguna agar dapat mengakses seluruh fitur lainnya. 
   Pengguna dibedakan menjadi 2 kategori: user dan admin.
2. Admin dapat melakukan penambahan event
3. Admin dapat melakukan edit event
5. User dapat melihat daftar event
6. User dapat melakukan pembelian tiket suatu event
7. User dapat melihat history pembelian tiket
8. User dapat melakukan edit profile

Spesifikasi bonus yang tersedia yaitu:

1. Docker

## Daftar Requirement
-   PHP 8

Untuk menjalankan server secara lokal tanpa Docker:
-   XAMPP

Untuk menjalankan dengan Docker:
-   OS Ubuntu / Windows dengan WSL2
-   Docker
-   Docker Compose

## Cara Instalasi

### XAMPP

**Aktivasi MySQL pada PHP**  

1. Buka php.ini in C:\xampp\php
2. Tambahkan / uncomment kode ini
```bash
extension=mysqli
```
3. Pastikan libmysql.dll dapat diakses.

**Aktivasi PDO MySQL pada PHP**
1. Buka file php.ini di C:\xampp\php.
2. Tambahkan / uncomment kode ini
```bash
extension=pdo_mysql
```

## Cara Menjalankan server

### XAMPP

1. Clone repository ini pada directory htdocs XAMPP anda. Contohnya: `C:\xampp\htdocs\`
2. Buka XAMPP Control Panel dan Start service Apache
3. Aplikasi akan dijalankan pada `localhost/tugas-besar-1`

### Docker

1. Clone repository ini
2. Masuk ke directory utama (root) dari repository
3. Untuk menjalankan aplikasi:

```bash
docker-compose up --build
```

4. Container akan berjalan dengan nama `tubes-1`
5. Aplikasi akan berjalan pada `localhost:8008`
6. Untuk menginisialisasi atau me-reset data dummy, pergi ke laman 'localhost:8008/db/init.php' 
7. Untuk menghentikan aplikasi, jalankan:

```bash
docker-compose stop
```


## Screenshot Tampilan Aplikasi
- Login
<img src="./assets/readme/login.png" alt="Login"><br>
- Register
<img src="./assets/readme/register.png" alt="Register"><br>
- User Homepage
<img src="./assets/readme/user_homepage.png" alt="User Home"><br>
- Admin Homepage
<img src="./assets/readme/admin_homepage.png" alt="Admin Home"><br>
- Create Event
<img src="./assets/readme/create_event.png" alt="Create Event"><br>
- Update Event
<img src="./assets/readme/edit_event.png" alt="Update Event"><br>
- Delete Event
<img src="./assets/readme/delete_event.png" alt="Delete Event"><br>
- Event Details / Purchase Ticket
<img src="./assets/readme/purchase_ticket.png" alt="Purchase Ticket"><br>
- Purchase History
<img src="./assets/readme/history_page.png" alt="History"><br>
- View Profile
<img src="./assets/readme/view_profile.png" alt="Lihat Artikel"><br>
- Edit Profile
<img src="./assets/readme/edit_profile.png" alt="Lihat Artikel"><br>


## Pembagian Tugas

### Bonus

| Item                      |         NIM        |
| ------------------------- | ------------------ |
| Bonus: Docker             | 13521151           |

#### Server-side

| Item                   | NIM                |
| ---------------------- | ------------------ |
| Login                  | 13521111           |
| Register               | 13521111           |
| Dashboard              | 13521111, 13521151 |
| Pencarian Event        | 13521151           |
| Daftar Event           | 13521151           |
| Tambah Event           | 13521075, 13521151 |
| Edit Event             | 13521075, 13521151 |
| Delete Event           | 13521075, 13521151 |
| Pembelian tiket        | 13521111           |
| Setup Basis Data       | 13521151           |
| History                | 13521151           |
| Lihat profile          | 13521151           |
| Navbar                 | 13521111, 13521151 |
| Footer                 | 13521111, 13521151 |

#### Client-side

| Item                     | NIM                          |
| ------------------------ | ---------------------------- |
| Init Directories, Styles | 13521111, 13521151           |
| Login                    | 13521075, 13521111           |
| Register                 | 13521075, 13521111           |
| Dashboard                | 13521111, 13521151           |
| Pencarian Event          | 13521111, 13521151           |
| Daftar Event             | 13521111, 13521151           |
| Pembelian Tiket          | 13521111                     |
| Tambah Event             | 13521075, 13521151           |
| Edit Event               | 13521075, 13521151           |
| Lihat profile            | 13521111, 13521151           |
| Edit profile             | 13521111, 13521151           |
| Navbar                   | 13521111, 13521151           |
| Footer                   | 13521111, 13521151           |
